/*
 Theme Name:   Kovové podhledy
 Theme URI:    https://generatepress.com
 Description:  Podřízené téma (child theme) GeneratePress
 Template:     generatepress
 Version:      1.0
*/

/* Fonty */

@font-face {
  font-family: 'Roboto-loc';
  src: url('/wp-content/uploads/fonts/roboto-variable.woff2') format('woff2'),
	   url('/wp-content/uploads/fonts/roboto-variable.woff') format('woff'),
	   url('/wp-content/uploads/fonts/roboto-variable.ttf') format('truetype'),
}

@font-face {
  font-family: 'RobotoCondensed-loc';
  src: url('/wp-content/uploads/fonts/roboto-condensed-variable.woff2') format('woff2'),
	   url('/wp-content/uploads/fonts/roboto-condensed-variable.woff') format('woff'),
	   url('/wp-content/uploads/fonts/roboto-condensed-variable.ttf') format('truetype'),
}

@font-face {
  font-family: 'NotoSans-loc';
  src: url('/wp-content/uploads/fonts/noto-sans-variable.woff2') format('woff2'),
	   url('/wp-content/uploads/fonts/noto-sans-variable.woff') format('woff'),
	   url('/wp-content/uploads/fonts/noto-sans-variable.ttf') format('truetype'),
}

@font-face {
  font-family: 'NotoSerif-loc';
  src: url('/wp-content/uploads/fonts/noto-serif-variable.woff2') format('woff2'),
	   url('/wp-content/uploads/fonts/noto-serif-variable.woff') format('woff'),
	   url('/wp-content/uploads/fonts/noto-serif-variable.ttf') format('truetype'),
}


/* Logo v hlavičce pro mobil */

@media (max-width: 768px)    {
.site-header .header-image {
  width: 60px;
  }
	.site-description {
		display: none;
	}
		.main-title {
		max-width: 120px;
	}
}


/* Skrytí meta údajů u jednotlivých příspěvků, v kategoriích a štítcích */
.single-post .entry-meta, .category .entry-meta, .tag .entry-meta, .archive .entry-meta {
display: none;
}

/* Skrytí názvů příspěvků v kategoriích nabídky */
.single-post .category-lamelove-podhledy h1.entry-title,
.single-post .category-tahokovove-podhledy h1.entry-title,
.single-post .category-mrizkove-podhledy h1.entry-title {
display: none;
}

/* Formát názvů příspěvků v kategoriích (v rámci obrázku) */
.single-post .category-lamelove-podhledy h1,
.single-post .category-tahokovove-podhledy h1,
.single-post .category-mrizkove-podhledy h1 {
color: #fff;
text-shadow: #a9993c 3px 2px 5px;
}

/* Formát názvů příspěvků v kategoriích (v rámci obrázku) */

.single-post .category-lamelove-podhledy h1,
.single-post .category-tahokovove-podhledy h1,
.single-post .category-mrizkove-podhledy h1 {


/* Skrytí náhledů v záhlaví příspěvků */

.page-header-image-single {
	display:none;
}

.page-header-image-single h1.entry-title {
	text-align: center;
	display: none;
}

/* Úprava odsazení a okrajů v záhlaví */

.bez-okraju {
	margin: -80px -40px 50px;
}

.bez-okraju h1 {
	padding-left: 40px ;
}

#page .site-content {
  padding-top: 0;
}


/* Text přes náhledový obrázek příspěvku po najetí myši */

.text-pres-nahled a {
	text-decoration: none;
	color: #fff;
	text-shadow: 2px 2px 4px #333;
	text-transform: uppercase;
}

.text-pres-nahled {
	opacity: 0;
}

.nahled-filtr:hover .text-pres-nahled {
	opacity: 1;
	transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;
}

	
/* Blok technické parametry */
.tech-param {
	padding: 20px;
	background-color: #f1f1f1;
  border: 3px dotted #b2b2be;
  border-radius: 20px;
}

/* Speciální obrázek pro produkty */
.obrazek-special {
border-radius: 20px 0 20px 0;
box-shadow: 5px 5px 7px 7px rgba(0,0,0,0.18);
}

/* Úprava výchozího bloku pro výpis kategorií */

ul.wp-block-categories-list {
margin: 0 0 1em 0;
list-style: none;
}

ul.wp-block-categories-list li {
line-height: 2.5em;
}

/* Formulář */
.wpcf7-form {
  font-size: 16px;
	max-width: 520px;
}

.wpcf7-form p {
  margin-bottom: .5em;
}

input[type="text"],
input[type="email"], 
input[type="tel"] {
  width: 98%;
  padding: 4px 8px;
  margin: 2px 0 4px;
  box-sizing: border-box;
  border: 1px solid #ccc;
	border-radius: 4px;
	outline: none;
	background-color: #f7f8f9;
}

.pairchoice {
	display: flex;
}

.pairchoice input[type="text"], .pairchoice input[type="email"],
.pairchoice input[type="tel"] {
	max-width: 250px;
	margin-right: 10px;
	flex: 50%;
}

input[type=text]:hover,
input[type=email]:hover,
input[type=tel]:hover {
  outline: 2px solid #888;
}

input[type=text]:focus, input[type=email]:focus,
input[type=tel]:focus  {
  outline: 2px solid #888;
  box-shadow: 4px 8px 18px #888888;
  background-color: #FFF;
}

textarea {
	width: 98%;
  padding: 5px 10px;
  margin: 10px 0;
  box-sizing: border-box;
  border: 1px solid #ccc;
	border-radius: 4px;
	outline: none;
	background-color: #f7f8f9;
}
textarea:hover {
  outline: 2px solid #888;
}
textarea:focus, select:focus {
  outline: 2px solid #888;
  box-shadow: 4px 8px 18px #888888;
  background-color: #fff;
}

.mensi-text {
	font-size: 14px;
}

/* Vyhledávání */

.wp-block-search__inside-wrapper input[type=search] {
	max-width: 180px;
	padding: 4px 8px;
}

/* Seznamy - odsazení */

ol, ul {
  margin-left: 1.5em;
}

/* odsazení obrázků v h4 na homepage */
.home h4 img {
	margin-right: 12px;
}

/* Tabulky Tablepres - barva hlavičky a patičky */

.tablepress > :where(thead, tfoot) > tr > * {
	background-color: rgba(51,135,166,0.4);
}

/* Tačítka v patičce */
a.footer-button {
   color: #222222;
	background-size: 35px;
	font-weight: 700;
   }

a.footer-button:hover {
   color: #222222;
	 outline: 3px solid orange;
   }

/* Cookie banner */

.cmplz-cookiebanner.cmplz-show {
	border: 1px solid #cbcbcb;
}


/* Zásady cookies nadpisy */

.page-id-26444 h2 {
	color: #333;
}

